> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Broadcast Message

> Send a Broadcast message to a list of recipients and / or segments



## OpenAPI

````yaml post /send_broadcast
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /send_broadcast:
    post:
      tags:
        - Send Broadcast
      summary: Send Broadcast Message
      description: Send a Broadcast message to a list of recipients and / or segments
      operationId: postIndex2
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                attachment:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: Attachment URL. Can either https:// or media_library://
                from:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  description: The channel the broadcast is sent from
                template_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  description: The template to use for the broadcast
                require_marketing_opt_in:
                  default: true
                  description: >-
                    Whether the recipients must have opted in to marketing
                    messages
                  type: boolean
                to_recipients:
                  anyOf:
                    - type: array
                      items:
                        type: object
                        properties:
                          contact_id:
                            anyOf:
                              - type: string
                              - type: 'null'
                          full_name:
                            anyOf:
                              - type: string
                              - type: 'null'
                          handle:
                            anyOf:
                              - type: string
                              - type: 'null'
                          placeholder_values:
                            anyOf:
                              - type: array
                                items:
                                  type: string
                              - type: 'null'
                          contact_external_id:
                            anyOf:
                              - type: string
                              - type: 'null'
                          contact_secondary_external_id:
                            anyOf:
                              - type: string
                              - type: 'null'
                    - type: 'null'
                  description: The list of recipients to send the broadcast to
                to_segments:
                  anyOf:
                    - type: array
                      items:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    - type: 'null'
                  description: The list of segments to send the broadcast to
                send_after:
                  anyOf:
                    - type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                    - type: 'null'
                  description: The time to send the broadcast after
                placeholder_values:
                  anyOf:
                    - type: array
                      items:
                        type: string
                    - type: 'null'
                  description: Placeholder values
                marketing_channel_id:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    - type: 'null'
                  description: Marketing Channel ID
                review_channel_id:
                  anyOf:
                    - type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    - type: 'null'
                  description: Review Channel ID
              required:
                - from
                - template_id
      responses:
        '200':
          content:
            application/vnd.pgrst.object+json:
              schema:
                type: object
                properties:
                  sendout_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    description: The ID of the sendout that has been sent
                required:
                  - sendout_id
          description: The broadcast was sent successfully
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  hint:
                    type: string
                  statusCode:
                    type: number
                required:
                  - code
                  - message
                  - statusCode
          description: Invalid input
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````